import { WorkscheduleClockingEventDto } from "./workschedule-clocking-event-dto";
import { Workschedule } from "../workschedule/workschedule";
import { JourneyType } from "../../enums/journey-type";
import { ScheduleType } from "../../enums/schedule-type";
import { CalculateAbsenceType } from "../../enums/calculate-absence-type";
export declare class WorkscheduleClockingEvent {
    id?: string;
    workschedule?: Workschedule[];
    journeyType: JourneyType;
    scheduleType: ScheduleType;
    calculateAbsence?: CalculateAbsenceType;
    workStartEndOvertimeTolerance?: number;
    mealOvertimeTolerance?: number;
    overtimeDailyTotalTolerance?: number;
    workStartEndAbsenceTolerance?: number;
    mealAbsenceTolerance?: number;
    absenceDailyTotalTolerance?: number;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(workscheduleClockingEventDto: WorkscheduleClockingEventDto, originEntity?: string): WorkscheduleClockingEvent;
    static toDto(workscheduleClockingEvent: WorkscheduleClockingEvent, originEntity?: string): WorkscheduleClockingEventDto;
}
